Support » Plugin: Facebook for WooCommerce » Error Message: Oops, something went wrong

  • svet

    (@sveslavchev)


    Dear plugin developers,

    I see that you are actively improving the plugin in the last weeks and months. I was facing different errors, but with every update I am one step close to being able to connect my shop to facebook. Sadly, after weeks of effort, it is still not possible.

    After following the whole connection process the following error is displayed:

    ========== copy/paste ==========
    “Oops, something went wrong.
    This may be because of a technical error that we’re working to get fixed. Try reloading this page.”
    ======== end copy/paste ========

    I decided to report the issue this time and to provide you with more information for the error I looked at the console. The following error appeared in one of the responses:

    ========== copy/paste ==========
    Invalid values provided for variables of operation “PlatformBusinessOauthDialogUnifiedFBEDataSetupView_CreateFBEMutation”: Value “Array of size 16 starting with: { client_mutation_id => “1” }” cannot be used for variable “$input”: Field “config” has value of invalid type: Field “setup” has value of invalid type: Field “currency” has value of invalid type: There is no value named “BGN” in this enum.
    ======== end copy/paste ========

    It is clear to me what is the problem – my shop used BGN for its currency, but for some reason “BGN” does not appear to be valid currency for facebook :/

    I suppose that it is not the plugin that is causing the problem, but the facebook system behind the API. Still, since this is an official facebook plugin, maybe you can report the problem “officially” and help.

    Kind regards

Viewing 5 replies - 16 through 20 (of 20 total)
  • Is crazy that this is still not fixed and every now and then this kind of errors will appear!

    I’m using version 2.2 and the problem still persist….

    Thread Starter svet

    (@sveslavchev)

    Hi @marcusskyverge,

    I see that you want to make the plugin better and I am happy to provide you with my feedback.

    Today, after months using the version 1.11.4 of the plugin without problems, I decided to test the latest version – 2.2.0.

    Here are the steps I went through and the results:

    • Disconnected the plugin from facebook through the plugin interface
    • Used the provided by @jenskyverge plugin to remove the related data
    • Updated to the latest (2.2.0) version of the plugin
    • Followed the multi-step process and it worker till the last step
    • the very last step showed me an error message, similar to the one in my first post.

    Here is the response from one of the latest requests:

    
    {
        "errors": [{
            "message": "Invalid values provided for variables of operation \"RunFBEInstallMutation_PrepareAssetsMutation\": Value \"Array of size 17 starting with: { client_mutation_id => \"2\" }\" cannot be used for variable \"$input\": Field \"config\" has value of invalid type: Field \"setup\" has value of invalid type: Field \"currency\" has value of invalid type: There is no value named \"BGN\" in this enum.",
            "severity": "CRITICAL",
            "code": 1675012,
            "api_error_code": null,
            "summary": "Your Request Couldn't be Processed",
            "description": "There was a problem with this request. We're working on getting it fixed as soon as we can.",
            "description_raw": "There was a problem with this request. We're working on getting it fixed as soon as we can.",
            "is_silent": false,
            "is_transient": false,
            "requires_reauth": false,
            "allow_user_retry": false,
            "debug_info": null,
            "query_path": null,
            "fbtrace_id": "CpdgK8PAoMd",
            "www_request_id": "AHt6IjtZTYvdaHFnDYNQCYO"
        }],
        "extensions": {
            "is_final": true
        }
    }
    

    In the console there was also the following error:

    
    ErrorUtils caught an error:
    
    GraphQL server responded with error 1675012: There was a problem with this request. We're working on getting it fixed as soon as we can.
    
    Subsequent non-fatal errors won't be logged; see https://fburl.com/debugjs.
    

    For my case, it seems that all other problems which I faced before were fixed, but the main one still exists – from the very readable error message is it clear to me that facebook does not accept the currency of my shop – BGN, which is well supported by WooCommerce and by the old (1.11.4) plugin version.

    All best
    Svet

    Hi,
    I’m using the latest version (2.2.0) and I’m experiencing the same error
    “Oops, something went wrong.
    This may be because of a technical error that we’re working to get fixed. Try reloading this page.”

    Thread Starter svet

    (@sveslavchev)

    Hi @levanticaeu,

    What is the currency of your WooCommerce shop?

Viewing 5 replies - 16 through 20 (of 20 total)
  • You must be logged in to reply to this topic.